-- 
-- /run print(tonumber("0x"..(UnitGUID("target")or""):sub(6,10),16)or ERR_GENERIC_NO_TARGET)
-- http://www.wowwiki.com/Maps

NPCSilencer_TITLE = "NPC-Silencer";
NPCSilencer_ERROR = "Error";
NPCSilencer_DEBUG = "Debug";
NPCSilencer_VERSION = "50001.196 (WoP Beta)";
NPCSilencer_ISNOWLOADED = "is now loaded!";

function npc_silencer_OnLoad(self)
	DEFAULT_CHAT_FRAME:AddMessage("|cffff2020NPC-Silencer |rVersion "..NPCSilencer_VERSION.." loaded.", 1.0, 1.0, 1.0, 1, 10);
	DEFAULT_CHAT_FRAME:AddMessage("Please report non silenced npc's to wow-addons@o2online.de or as comment at http://www.wowinterface.com - Please tell us the city and npcname like 'Topper McNapp in Stormwind', so we can add them to the next version. Thanks for your help!", 1.0, 1.0, 1.0, 1, 10);
end

	-- used to retrieve NPC name using their ID (localized)
	local tip = CreateFrame("GameTooltip")
	tip.txt = tip:CreateFontString()
	tip:AddFontStrings(tip.txt, tip:CreateFontString())
	function tip:name(id)
	tip:SetOwner(WorldFrame, "ANCHOR_NONE")
	tip:SetHyperlink(("unit:0xF53%05X00000000"):format(id))
	return tip:IsShown() and tip.txt:GetText()
	end
 
	-- the events we wish to apply our filter on
	local events = 
		{
			"CHAT_MSG_MONSTER_EMOTE",
			"CHAT_MSG_MONSTER_PARTY",
			"CHAT_MSG_MONSTER_SAY",
			"CHAT_MSG_MONSTER_WHISPER",
			"CHAT_MSG_MONSTER_YELL",
		}
 
	-- list of npcIDs we are to ignore
	local database = 
	{

-- Alteracgebirge
		["2318"] = 1, ["2421"] = 1, ["2705"] = 1, ["2253"] = 1, ["2254"] = 1, ["2287"] = 1,

-- Alteractal
		["11948"] = 1, ["11949"] = 1, ["13181"] = 1, ["11677"] = 1, ["14848"] = 1, ["11946"] = 1,

-- Azurmythoinsel
		["17268"] = 1, ["17071"] = 1, ["16551"] = 1, ["20227"] = 1, ["16522"] = 1, ["16502"] = 1, ["16501"] = 1, ["16521"] = 1, ["16483"] = 1, ["16551"] = 1, ["17222"] = 1, ["17228"] = 1, ["17214"] = 1, ["17215"] = 1,

-- Blutmythoinsel
		["17825"] = 1, ["17824"] = 1, ["17663"] = 1,

-- Black Tempel
		["22990"] = 1, ["23319"] = 1, ["22948"] = 1, ["23418"] = 1, ["23419"] = 1, ["23420"] = 1, ["22947"] = 1, ["23410"] = 1, ["23411"] = 1, ["22917"] = 1,

-- Brachland
		["37908"] = 1, ["38380"] = 1, ["37487"] = 1, ["6244"] = 1, ["6246"] = 1, ["6245"] = 1, ["3489"] = 1, ["3429"] = 1, ["3490"] = 1, ["3390"] = 1, ["3431"] = 1, ["3482"] = 1,

-- Brann Bronzebart
		["28070"] = 1, ["29579"] = 1, ["30107"] = 1, ["30382"] = 1, ["30405"] = 1, ["31810"] = 1, ["34044"] = 1, ["39908"] = 1, ["49204"] = 1, ["49248"] = 1, ["49351"] = 1, ["49468"] = 1, ["49472"] = 1, ["49941"] = 1, ["51174"] = 1,

-- Boreanische Tundra
		["27888"] = 1, ["25821"] = 1, ["25820"] = 1, ["25514"] = 1, ["25833"] = 1, ["25831"] = 1, ["25747"] = 1, ["26171"] = 1, ["25378"] = 1, ["25827"] = 1, ["25522"] = 1, ["25613"] = 1, ["25235"] = 1, ["25209"] = 1, ["25197"] = 1, ["25601"] = 1, ["26189"] = 1, ["26225"] = 1, ["26266"] = 1, ["26218"] = 1, ["25834"] = 1, ["25428"] = 1, ["25335"] = 1, ["25429"] = 1, ["25682"] = 1, ["25830"] = 1, ["25832"] = 1, ["25823"] = 1, ["26206"] = 1, ["26237"] = 1, ["34310"] = 1, ["25773"] = 1, ["25477"] = 1, ["26117"] = 1, ["25356"] = 1, ["25784"] = 1, ["25785"] = 1, ["27300"] = 1, ["27299"] = 1, ["25584"] = 1, ["25618"] = 1, ["25318"] = 1, ["25320"] = 1, ["25521"] = 1, ["26450"] = 1, ["25258"] = 1, ["25261"] = 1, ["25259"] = 1, ["25245"] = 1, ["25250"] = 1, ["25238"] = 1, ["25222"] = 1, ["25301"] = 1, ["25285"] = 1, ["25453"] = 1, ["26538"] = 1, ["25260"] = 1, ["52242"] = 1, ["28375"] = 1, ["25208"] = 1, ["25201"] = 1, ["25768"] = 1, ["25814"] = 1, ["25793"] = 1, ["26817"] = 1, ["25714"] = 1, ["25783"] = 1, ["25753"] = 1, ["25589"] = 1, ["25322"] = 1, ["25321"] = 1, ["26073"] = 1, ["26185"] = 1, ["26170"] = 1, ["25251"] = 1, ["25801"] = 1, ["25836"] = 1, ["25835"] = 1, ["25806"] = 1, ["25979"] = 1, ["25220"] = 1, ["25317"] = 1, ["27364"] = 1, ["27010"] = 1, ["25467"] = 1, ["25828"] = 1, ["25248"] = 1, ["26076"] = 1, ["26203"] = 1, ["26794"] = 1, ["25802"] = 1,

-- Darnassus
		["36479"] = 1, ["36481"] = 1, ["18917"] = 1, ["4730"] = 1,

-- Dmmerwald
		["45740"] = 1, ["325"] = 1, ["264"] = 1, ["468"] = 1, ["273"] = 1, ["270"] = 1, ["271"] = 1, ["272"] = 1, ["269"] = 1, ["263"] = 1, ["2112"] = 1, ["315"] = 1, ["43453"] = 1, ["212"] = 1, ["1251"] = 1, ["889"] = 1, ["43858"] = 1, ["43950"] = 1, ["43453"] = 1, 

-- Dalaran
		["28725"] = 1, ["28951"] = 1, ["30116"] = 1, ["36669"] = 1, ["30115"] = 1, ["28722"] = 1, ["16128"] = 1, ["30658"] = 1, ["30667"] = 1, ["32191"] = 1, ["32641"] = 1, ["29523"] = 1, ["33027"] = 1, ["28994"] = 1, ["31238"] = 1, ["32692"] = 1, ["32687"] = 1, ["28715"] = 1, ["24534"] = 1, ["24238"] = 1, ["24015"] = 1, ["24634"] = 1, ["28776"] = 1, ["29497"] = 1, ["28715"] = 1, ["29714"] = 1, ["28997"] = 1, ["28721"] = 1, ["28725"] = 1, ["28727"] = 1, ["28723"] = 1, ["28714"] = 1, ["28718"] = 1, ["28728"] = 1, ["32170"] = 1, ["32169"] = 1, ["28726"] = 1, ["29528"] = 1, ["28989"] = 1, ["29478"] = 1, ["29491"] = 1, 

-- Desolace
		["11625"] = 1, ["5644"] = 1,

-- Der heulende Fjord
		["24191"] = 1, ["24528"] = 1, ["23891"] = 1, ["24029"] = 1, ["23666"] = 1, ["24473"] = 1, ["23667"] = 1, ["23665"] = 1, ["24910"] = 1, ["27933"] = 1, ["24796"] = 1, ["24911"] = 1, ["24754"] = 1, ["24322"] = 1, ["24323"] = 1, ["24767"] = 1, ["24643"] = 1, ["24009"] = 1, ["24635"] = 1, ["24221"] = 1, ["24216"] = 1, ["23651"] = 1, ["24051"] = 1, ["23658"] = 1, ["24779"] = 1, ["24250"] = 1, ["24249"] = 1, ["24169"] = 1, ["23660"] = 1, ["24086"] = 1, ["24096"] = 1, ["24103"] = 1, ["24089"] = 1, ["24097"] = 1, ["23739"] = 1, ["24088"] = 1, ["24090"] = 1, ["24077"] = 1, ["23551"] = 1, ["24258"] = 1, ["24118"] = 1, ["24900"] = 1, ["24790"] = 1, ["24742"] = 1, ["24784"] = 1, ["24639"] = 1, ["24788"] = 1, ["24807"] = 1, ["24719"] = 1, ["24271"] = 1, ["23672"] = 1, ["24398"] = 1, ["24023"] = 1, ["24014"] = 1, ["23991"] = 1, ["23990"] = 1, ["23989"] = 1, ["24227"] = 1, ["23663"] = 1, ["23664"] = 1, ["23661"] = 1, ["23662"] = 1, ["23671"] = 1, ["23842"] = 1, ["23911"] = 1, ["23937"] = 1, ["24151"] = 1, ["23728"] = 1, ["24525"] = 1, ["24642"] = 1, ["24874"] = 1, ["24876"] = 1, ["24877"] = 1, ["24875"] = 1, ["24283"] = 1, ["24333"] = 1, ["23967"] = 1, ["24328"] = 1, ["24062"] = 1, ["24050"] = 1, ["23844"] = 1, ["24532"] = 1, ["24531"] = 1, ["24131"] = 1, ["24139"] = 1, ["24052"] = 1, ["24718"] = 1, ["24806"] = 1, ["24821"] = 1, ["24823"] = 1, ["24825"] = 1, ["24852"] = 1, ["24720"] = 1, ["24717"] = 1, ["23931"] = 1, ["31812"] = 1, ["24213"] = 1, ["24214"] = 1, ["24215"] = 1, ["24176"] = 1, ["23548"] = 1, ["23975"] = 1, ["23546"] = 1, ["23732"] = 1, ["23823"] = 1, ["27570"] = 1, ["23734"] = 1, ["24332"] = 1, ["24233"] = 1, ["24315"] = 1, ["24314"] = 1,

-- Drachende
		["27355"] = 1, ["27567"] = 1, ["26917"] = 1, ["31333"] = 1, ["31334"] = 1, ["27005"] = 1, ["27006"] = 1, ["27857"] = 1, ["27858"] = 1, ["27872"] = 1, ["27002"] = 1, ["26349"] = 1, ["27225"] = 1, ["27577"] = 1, ["27588"] = 1, ["27713"] = 1, ["27316"] = 1, ["27996"] = 1, ["27844"] = 1, ["27007"] = 1, ["27009"] = 1, ["27008"] = 1, ["27003"] = 1, ["27953"] = 1, ["27171"] = 1, ["26473"] = 1, ["26661"] = 1, ["27315"] = 1, ["27336"] = 1, ["27683"] = 1, ["27510"] = 1, ["27784"] = 1, ["26593"] = 1, ["27355"] = 1, ["27210"] = 1, ["26762"] = 1, ["27506"] = 1, ["27687"] = 1, ["26608"] = 1, ["26496"] = 1, ["26280"] = 1, ["27951"] = 1, ["27990"] = 1, ["27159"] = 1, ["27356"] = 1, ["28006"] = 1, ["27290"] = 1, ["27335"] = 1, ["27383"] = 1, ["27359"] = 1, ["27314"] = 1, ["27156"] = 1, ["27163"] = 1, ["27220"] = 1, ["27476"] = 1, ["27492"] = 1, ["27455"] = 1, ["27480"] = 1, ["27229"] = 1, ["27220"] = 1, ["27226"] = 1, ["27880"] = 1,

-- Dun Morogh / Dun Morogh
		["1378"] = 1, ["37081"] = 1, ["37073"] = 1, ["37087"] = 1, ["37108"] = 1, ["37174"] = 1, ["37173"] = 1, ["37507"] = 1, ["808"] = 1, ["37112"] = 1, ["6782"] = 1, ["37113"] = 1, ["40950"] = 1, ["41335"] = 1, ["40991"] = 1, ["40994"] = 1, ["41056"] = 1, ["1269"] = 1, ["1377"] = 1, ["41175"] = 1, ["41251"] = 1, ["41611"] = 1, ["41578"] = 1, ["1263"] = 1, ["1115"] = 1, ["41671"] = 1, ["1360"] = 1, ["6123"] = 1, ["42010"] = 1, 

-- Dunkelkste
		["4190"] = 1, ["2917"] = 1, ["10216"] = 1, ["3899"] = 1, ["12321"] = 1, ["32978"] = 1, ["3694"] = 1, ["32959"] = 1, ["33093"] = 1, ["33181"] = 1, ["3583"] = 1, ["33096"] = 1, 

-- Dunkelmond Insel / Dunkelmondjahrmarkt
		["55270"] = 1, ["55269"] = 1, ["14844"] = 1, ["54518"] = 1, ["54485"] = 1, ["23988"] = 1, ["14845"] = 1, ["55266"] = 1, ["14828"] = 1, ["55264"] = 1, ["10445"] = 1, ["14841"] = 1, ["55248"] = 1, ["55249"] = 1, ["55247"] = 1, ["15303"] = 1, ["54601"] = 1, ["54605"] = 1, ["55396"] = 1, ["54345"] = 1, ["14823"] = 1, ["54596"] = 1, ["54595"] = 1, ["14847"] = 1, ["23988"] = 1, ["54489"] = 1, 

-- Dstermarschen
		["12936"] = 1, ["23786"] = 1, ["12938"] = 1, ["4948"] = 1, ["23720"] = 1, ["23843"] = 1, ["23861"] = 1, ["23864"] = 1, ["4895"] = 1, ["23567"] = 1, ["5088"] = 1, ["23569"] = 1, ["4944"] = 1, ["10036"] = 1, ["51919"] = 1,	["23789"] = 1, ["2616"] = 1, ["23602"] = 1, ["23573"] = 1, ["23995"] = 1, ["23579"] = 1, ["23600"] = 1, ["4973"] = 1, ["23566"] = 1, ["4979"] = 1, ["51924"] = 1, ["23941"] = 1, ["23905"] = 1, ["23900"] = 1, ["55271"] = 1, 

-- Eschental
		["47366"] = 1, ["47339"] = 1, ["3663"] = 1, ["33347"] = 1, ["4509"] = 1, ["3916"] = 1, ["3894"] = 1, ["3892"] = 1, ["3847"] = 1,

-- Eiskrone
		["30954"] = 1, ["31160"] = 1, ["30989"] = 1, ["30920"] = 1, ["31226"] = 1, ["32300"] = 1, ["32236"] = 1, ["31833"] = 1, ["33522"] = 1, ["30350"] = 1, ["31737"] = 1, ["30708"] = 1, ["31235"] = 1, ["31428"] = 1, ["30631"] = 1, ["31432"] = 1, ["29405"] = 1, ["31279"] = 1, ["32800"] = 1, ["32642"] = 1, ["35501"] = 1, ["35116"] = 1, ["35474"] = 1, ["30037"] = 1, ["38505"] = 1, ["30186"] = 1, ["30194"] = 1, ["30195"] = 1, ["30196"] = 1, ["35476"] = 1, ["29880"] = 1, ["30250"] = 1, ["30081"] = 1, ["33785"] = 1, ["33546"] = 1, ["35444"] = 1, ["29919"] = 1, ["30225"] = 1, ["31067"] = 1, ["30377"] = 1, ["30596"] = 1, ["30243"] = 1, ["30632"] = 1, ["33481"] = 1, ["33559"] = 1, ["33565"] = 1, ["33383"] = 1, ["33564"] = 1, ["33463"] = 1, ["33558"] = 1, ["33306"] = 1, ["33460"] = 1, ["33285"] = 1, ["33476"] = 1, ["33382"] = 1, ["33468"] = 1, ["33479"] = 1, ["33561"] = 1, ["33384"] = 1, ["33469"] = 1, ["33417"] = 1, ["33748"] = 1, ["33477"] = 1, ["33747"] = 1, ["33480"] = 1, ["33743"] = 1, ["33467"] = 1, ["33746"] = 1, ["33740"] = 1, ["33853"] = 1, ["31690"] = 1, ["32222"] = 1, ["30656"] = 1, ["31258"] = 1, ["31691"] = 1, ["31240"] = 1, ["31259"] = 1, ["31241"] = 1, ["31135"] = 1, ["30189"] = 1, ["30672"] = 1, ["31033"] = 1, ["30224"] = 1, ["31003"] = 1, ["31063"] = 1, ["30840"] = 1, ["30839"] = 1, ["30714"] = 1, ["30686"] = 1, ["30226"] = 1, ["30683"] = 1, ["30274"] = 1, ["30407"] = 1,

-- Eiskronenzitadelle
		["37503"] = 1, ["38472"] = 1, ["38485"] = 1, ["36853"] = 1, ["37955"] = 1, ["38004"] = 1, ["37007"] = 1, ["36789"] = 1, ["37122"] = 1, ["37126"] = 1, ["37038"] = 1, ["37123"] = 1, ["38501"] = 1, ["36678"] = 1, ["36626"] = 1, ["36855"] = 1, ["36612"] = 1, ["37813"] = 1, ["37125"] = 1, ["37129"] = 1, ["37124"] = 1, ["28410"] = 1, ["36939"] = 1, ["37187"] = 1, ["36998"] = 1, ["37026"] = 1, ["37116"] = 1, ["37003"] = 1, ["37016"] = 1, ["37017"] = 1, ["36627"] = 1, ["37597"] = 1, 

-- Eisenschmiede
		["9616"] = 1, ["4081"] = 1, ["7978"] = 1, ["5109"] = 1,["42129"] = 1, ["42928"] = 1, ["42131"] = 1, ["42130"] = 1, ["2918"] = 1, ["42153"] = 1, ["5595"] = 1, ["6175"] = 1, 

-- Feralas
		["5241"] = 1, ["5240"] = 1, ["5234"] = 1, ["5236"] = 1,

-- Gebirgspass der Totenwinde
		["14889"] = 1,

-- Grizzlyhgel
		["26582"] = 1, ["26919"] = 1, ["27017"] = 1, ["27212"] = 1, ["31625"] = 1, ["28063"] = 1, ["29384"] = 1, ["30190"] = 1, ["30035"] = 1, ["29369"] = 1, ["26932"] = 1, ["27624"] = 1, ["26935"] = 1, ["26971"] = 1, ["27646"] = 1, ["27411"] = 1, ["27115"] = 1, ["26604"] = 1, ["26544"] = 1, ["27497"] = 1, ["26361"] = 1, ["26422"] = 1, ["27277"] = 1, ["27071"] = 1, ["27113"] = 1, ["27114"] = 1, ["27115"] = 1, ["26377"] = 1, ["26226"] = 1, ["26334"] = 1, ["26282"] = 1, ["26811"] = 1, ["29277"] = 1, ["26783"] = 1, ["26921"] = 1, ["26922"] = 1, ["26923"] = 1, ["26920"] = 1, ["26786"] = 1, ["26417"] = 1, ["12085"] = 1, ["26484"] = 1, ["26812"] = 1, ["26814"] = 1, ["26205"] = 1, ["26392"] = 1, ["29285"] = 1, ["26371"] = 1,

-- Hhlen der Zeit
		["32273"] = 1, ["19918"] = 1, ["32281"] = 1, ["20201"] = 1, ["17023"] = 1,

-- Hllenfeuerzitadelle
		["17270"] = 1, ["17308"] = 1, ["17257"] = 1, ["17381"] = 1, ["17380"] = 1, ["17653"] = 1, ["17397"] = 1, ["17377"] = 1, ["17429"] = 1, ["17455"] = 1, ["17306"] = 1, ["17307"] = 1, ["17537"] = 1,

-- Hllenfeuerhalbinsel
		["19445"] = 1, ["16834"] = 1, ["17000"] = 1, ["20232"] = 1, ["19316"] = 1, ["20679"] = 1, ["20677"] = 1, ["20678"] = 1, ["19477"] = 1, ["20157"] = 1, ["16938"] = 1, ["17058"] = 1, ["16833"] = 1, ["16799"] = 1, ["16836"] = 1, ["19764"] = 1, ["19766"] = 1, ["19354"] = 1, ["19294"] = 1, ["24918"] = 1, ["18952"] = 1, ["16821"] = 1, ["23170"] = 1, ["23171"] = 1, ["19308"] = 1, ["16842"] = 1, ["20513"] = 1, ["51800"] = 1, ["51801"] = 1, ["51804"] = 1, ["18728"] = 1, ["16819"] = 1, ["19392"] = 1, ["22374"] = 1, ["16825"] = 1, ["16886"] = 1, ["22430"] = 1, ["16826"] = 1, ["19191"] = 1,

-- Hyjal
		["40551"] = 1, ["41255"] = 1, ["41008"] = 1, ["41243"] = 1, ["41287"] = 1, ["50083"] = 1, ["51777"] = 1, ["40814"] = 1, ["40816"] = 1, ["40773"] = 1, ["40803"] = 1, ["41631"] = 1, ["52931"] = 1, ["40793"] = 1, ["41634"] = 1, ["39857"] = 1, ["40804"] = 1, ["41632"] = 1, ["39858"] = 1, ["40805"] = 1, ["41480"] = 1, ["41630"] = 1, ["52838"] = 1, ["52932"] = 1, ["40982"] = 1, ["41308"] = 1, ["40955"] = 1, ["49450"] = 1, ["39974"] = 1, ["40185"] = 1, ["40562"] = 1, ["39621"] = 1, ["39749"] = 1, ["40563"] = 1, ["40619"] = 1, ["40772"] = 1, ["52902"] = 1, ["40289"] = 1, ["40928"] = 1, ["49446"] = 1, ["52793"] = 1, ["54172"] = 1, ["39446"] = 1, ["39644"] = 1, ["39756"] = 1, ["39765"] = 1, ["39646"] = 1, ["39640"] = 1, ["39843"] = 1, ["40845"] = 1, ["40844"] = 1, ["38806"] = 1, ["40148"] = 1, ["39921"] = 1, ["39926"] = 1, ["41068"] = 1, ["41112"] = 1, ["41114"] = 1, ["41005"] = 1, ["41089"] = 1, ["41006"] = 1, ["41234"] = 1, ["52907"] = 1, ["47002"] = 1, 

-- Karazhan
		["16409"] = 1, ["16408"] = 1, ["15687"] = 1, ["16457"] = 1, ["17534"] = 1, ["17533"] = 1, ["16470"] = 1, ["16426"] = 1, ["17651"] = 1, ["17652"] = 1, ["17225"] = 1, ["15691"] = 1, ["15688"] = 1, ["16524"] = 1, ["15690"] = 1, ["15551"] = 1, ["16504"] = 1, ["16544"] = 1, ["16545"] = 1, ["16406"] = 1, ["16481"] = 1, ["16389"] = 1, ["16812"] = 1, ["16482"] = 1, ["18255"] = 1, ["18253"] = 1, ["17613"] = 1, ["16159"] = 1, ["16407"] = 1, ["16414"] = 1, ["16471"] = 1, ["16460"] = 1, ["16459"] = 1, ["16461"] = 1, ["16425"] = 1, ["16468"] = 1, ["16472"] = 1, ["16473"] = 1, ["16410"] = 1, ["16540"] = 1, 

-- Krater von Ungoro
		["28601"] = 1, ["9997"] = 1, ["9117"] = 1, ["14461"] = 1,

-- Loch Modan
		["1175"] = 1, ["1165"] = 1, ["1167"] = 1, ["1172"] = 1, ["1162"] = 1, ["1197"] = 1, ["1164"] = 1, ["1177"] = 1, ["1174"] = 1, ["44262"] = 1, ["1379"] = 1, ["1981"] = 1, ["1380"] = 1, ["2057"] = 1, 
		["3671"] = 1, ["3669"] = 1, 

-- Mulgore
		["23618"] = 1,

-- Mondlichtung
		["22834"] = 1, ["22916"] = 1, ["22915"] = 1, ["11832"] = 1, ["15961"] = 1, ["39128"] = 1, 

-- Nagrand
		["22981"] = 1, ["18400"] = 1, ["18069"] = 1, ["18401"] = 1, ["18211"] = 1, ["18218"] = 1, ["18182"] = 1, ["18109"] = 1, ["18428"] = 1, ["18440"] = 1, ["18396"] = 1, ["18063"] = 1, ["18417"] = 1, ["23348"] = 1, ["22083"] = 1, ["19149"] = 1, ["18408"] = 1, ["19035"] = 1, ["18688"] = 1, ["18488"] = 1, ["18445"] = 1, ["18369"] = 1, ["20812"] = 1, ["18265"] = 1, ["19667"] = 1, ["22836"] = 1, ["18471"] = 1, ["18274"] = 1, ["18391"] = 1, 

-- Nethersturm 
		["20448"] = 1, ["22900"] = 1, ["20456"] = 1, ["20551"] = 1, ["20552"] = 1, ["20603"] = 1, ["20452"] = 1, ["20787"] = 1, ["20553"] = 1, ["20482"] = 1, ["20854"] = 1, ["20913"] = 1, ["20281"] = 1, ["20133"] = 1, ["20393"] = 1, ["19469"] = 1, ["20780"] = 1, ["19851"] = 1, ["19776"] = 1, ["19570"] = 1, ["19737"] = 1, ["19545"] = 1, ["19546"] = 1, ["19832"] = 1, ["19543"] = 1, ["19544"] = 1, ["19634"] = 1, ["20145"] = 1, ["20464"] = 1, ["19481"] = 1, ["20218"] = 1, ["19738"] = 1, ["19589"] = 1, ["19578"] = 1, ["19623"] = 1, ["19617"] = 1, ["19621"] = 1, ["19612"] = 1, ["19541"] = 1, ["19493"] = 1, ["19610"] = 1, ["19217"] = 1, ["21751"] = 1, ["21925"] = 1, ["19534"] = 1, ["19535"] = 1, ["19467"] = 1, ["19466"] = 1, ["19468"] = 1, ["19645"] = 1, ["19533"] = 1, ["20242"] = 1, ["19635"] = 1, ["19218"] = 1, ["19219"] = 1, ["19220"] = 1, ["20885"] = 1, ["20886"] = 1, ["20904"] = 1, ["20909"] = 1, ["20910"] = 1, ["20912"] = 1, ["21466"] = 1, ["21467"] = 1,

-- Ogrimmar
		["14392"] = 1, ["47335"] = 1, ["47336"] = 1, ["42671"] = 1, ["42650"] = 1, ["42638"] = 1, ["35068"] = 1, ["9564"] = 1, ["12136"] = 1, ["34765"] = 1, ["26537"] = 1, ["25070"] = 1, ["25077"] = 1, 

-- dland / Badlands
		["46695"] = 1, 

-- stliche Pestlnder / Eastern Plaguelands
		["16114"] = 1, ["28486"] = 1, ["27928"] = 1, ["29194"] = 1, ["45445"] = 1, ["45417"] = 1, ["46173"] = 1, ["46178"] = 1, ["45941"] = 1, ["45431"] = 1, ["11288"] = 1, ["11289"] = 1, ["10817"] = 1, ["46194"] = 1, ["10940"] = 1, ["10926"] = 1, ["11296"] = 1, ["10948"] = 1, ["10944"] = 1, ["10950"] = 1, ["10939"] = 1, ["45707"] = 1, ["16378"] = 1, ["47060"] = 1, ["51986"] = 1, ["46094"] = 1, ["46095"] = 1, ["46096"] = 1, ["45744"] = 1, ["10824"] = 1, ["17878"] = 1, 

-- Quel Danas 
		["25160"] = 1, ["25032"] = 1, ["24813"] = 1, ["24966"] = 1, ["24960"] = 1, ["24967"] = 1, ["24965"] = 1, ["25046"] = 1, ["25155"] = 1, ["25115"] = 1, ["25069"] = 1, ["24882"] = 1, ["25164"] = 1, ["25162"] = 1, ["26560"] = 1, ["24976"] = 1, ["25059"] = 1, ["25132"] = 1, ["25144"] = 1, ["25153"] = 1, ["25133"] = 1, ["25034"] = 1, ["24938"] = 1,

-- Rotkammgebirge
		["4064"] = 1, ["568"] = 1, ["615"] = 1, ["6166"] = 1, ["446"] = 1, ["349"] = 1,

-- Schattenhochland / Twillight Highlands
		["48197"] = 1, ["52025"] = 1, ["45644"] = 1, ["45986"] = 1, ["46732"] = 1, ["46899"] = 1, ["46332"] = 1, ["46331"] = 1, ["46785"] = 1, ["45432"] = 1, ["46243"] = 1, ["46472"] = 1, ["47999"] = 1, ["46611"] = 1, ["46579"] = 1, ["46343"] = 1, ["45675"] = 1, ["46323"] = 1, ["46386"] = 1, ["46893"] = 1, ["46342"] = 1, ["46341"] = 1, ["46143"] = 1, ["46628"] = 1, ["49274"] = 1, ["49362"] = 1, ["46176"] = 1, ["46615"] = 1, ["46626"] = 1, ["49314"] = 1, ["49369"] = 1, ["46174"] = 1, ["46616"] = 1, ["46625"] = 1, ["46322"] = 1, ["46175"] = 1, ["46553"] = 1, ["46583"] = 1, ["46585"] = 1, ["46627"] = 1, ["49276"] = 1, ["49364"] = 1, ["46137"] = 1, ["46163"] = 1, ["46900"] = 1, ["48010"] = 1, ["48175"] = 1, ["46591"] = 1, ["48173"] = 1, ["48472"] = 1, ["49273"] = 1, ["49361"] = 1, ["46320"] = 1, ["46377"] = 1, ["49278"] = 1, ["49367"] = 1, ["48053"] = 1, ["47465"] = 1, ["46984"] = 1, ["46813"] = 1, ["47229"] = 1, ["45171"] = 1, ["46949"] = 1, ["50641"] = 1, ["46831"] = 1, ["46804"] = 1, ["48364"] = 1, ["48500"] = 1, ["49271"] = 1, ["49359"] = 1, ["46935"] = 1, ["46945"] = 1, ["48383"] = 1, ["46947"] = 1, ["47512"] = 1, ["46948"] = 1, ["48381"] = 1, ["46342"] = 1, ["45518"] = 1, ["45708"] = 1, ["46418"] = 1, ["46456"] = 1, ["47902"] = 1, ["49417"] = 1, ["50360"] = 1, ["45210"] = 1, ["45183"] = 1, ["45770"] = 1, ["21330"] = 1, ["45167"] = 1, ["45668"] = 1, ["46895"] = 1, ["48365"] = 1, ["49270"] = 1, ["49358"] = 1, ["45173"] = 1, ["46807"] = 1, ["46922"] = 1, 

-- Schattenmondtal
		["21718"] = 1, ["23283"] = 1, ["23311"] = 1, ["22252"] = 1, ["21717"] = 1, ["21739"] = 1, ["22274"] = 1, ["23440"] = 1, ["23441"] = 1, ["21648"] = 1, ["21699"] = 1, ["22989"] = 1, ["21295"] = 1, ["21453"] = 1, ["21164"] = 1, ["21024"] = 1, ["21867"] = 1, ["21402"] = 1, ["19806"] = 1, ["22016"] = 1, ["22012"] = 1, ["21773"] = 1, ["19362"] = 1, ["51910"] = 1, ["21049"] = 1, ["19394"] = 1, ["19395"] = 1, ["22059"] = 1, ["23139"] = 1, ["23452"] = 1, ["23434"] = 1, ["17711"] = 1, ["21181"] = 1, ["21685"] = 1, ["21183"] = 1, ["22054"] = 1, ["22113"] = 1, ["22083"] = 1, ["21657"] = 1,

-- Schergrat
		["22924"] = 1, ["23243"] = 1, ["23241"] = 1, ["22103"] = 1, ["22473"] = 1, ["20555"] = 1, ["21514"] = 1, ["22423"] = 1, ["19747"] = 1, ["21046"] = 1, ["21047"] = 1, ["22396"] = 1, ["22007"] = 1, ["21983"] = 1, ["19994"] = 1, ["20726"] = 1, ["21945"] = 1, ["22465"] = 1, ["20753"] = 1, ["21975"] = 1, ["19996"] = 1, ["21296"] = 1, ["20334"] = 1, ["20756"] = 1, ["19998"] = 1, ["22910"] = 1, ["23218"] = 1, ["23217"] = 1, ["21441"] = 1, ["21114"] = 1, ["21118"] = 1, ["21427"] = 1, ["19948"] = 1, ["20095"] = 1, ["22982"] = 1, ["23392"] = 1, ["23208"] = 1, ["23430"] = 1, ["23120"] = 1, ["23365"] = 1, ["23334"] = 1, ["23115"] = 1, ["19997"] = 1, ["23335"] = 1, ["23354"] = 1, ["22941"] = 1,

-- Schlingendorntal / Stranglethorn Vale
		["52767"] = 1, ["2496"] = 1, ["52053"] = 1, ["53078"] = 1, ["53180"] = 1, ["1387"] = 1, ["53008"] = 1, ["42790"] = 1, ["42941"] = 1, ["52151"] = 1, ["52234"] = 1, ["52654"] = 1, ["53081"] = 1, ["52059"] = 1, ["2634"] = 1, ["15077"] = 1, ["1493"] = 1, ["15077"] = 1, ["43920"] = 1, ["43919"] = 1, ["43921"] = 1, ["739"] = 1, ["43913"] = 1, ["43912"] = 1, 

-- Sengende Schlucht
		["8421"] = 1, ["9876"] = 1, ["14636"] = 1, ["8480"] = 1, ["8509"] = 1, ["14635"] = 1,

-- Shattrath
		["19196"] = 1, ["21411"] = 1, ["18166"] = 1, ["19142"] = 1, ["19685"] = 1, ["24393"] = 1, ["24416"] = 1, ["19283"] = 1, ["19270"] = 1, ["18585"] = 1, ["19216"] = 1, ["25141"] = 1, ["19202"] = 1, ["18481"] = 1, ["17076"] = 1, ["25167"] = 1, ["19475"] = 1, ["25885"] = 1, ["19664"] = 1, ["19223"] = 1, ["22940"] = 1, ["19227"] = 1, ["19377"] = 1, ["19164"] = 1, ["18549"] = 1, ["19346"] = 1, ["19378"] = 1, ["19138"] = 1, ["18537"] = 1,

-- Sholazarbecken
		["28103"] = 1, ["29043"] = 1, ["28139"] = 1, ["28214"] = 1, ["28668"] = 1, ["28604"] = 1, ["28054"] = 1, ["28787"] = 1, ["28123"] = 1, ["28124"] = 1, ["28229"] = 1, ["28256"] = 1, ["28266"] = 1, ["28092"] = 1, ["28215"] = 1, ["28374"] = 1, ["28376"] = 1, ["28033"] = 1, ["28095"] = 1, ["28328"] = 1, ["28047"] = 1, ["27986"] = 1, ["28451"] = 1, ["28568"] = 1, 

-- Silithus
		["15189"] = 1, ["15211"] = 1, ["15190"] = 1,

-- Sklavenunterknfte
		["18206"] = 1, ["17893"] = 1, ["17957"] = 1, ["17963"] = 1, ["17964"] = 1,

-- Steinkrallengebirge
		["42032"] = 1, ["41673"] = 1, ["41780"] = 1, ["42105"] = 1, ["42125"] = 1, ["41360"] = 1, ["34933"] = 1, ["34934"] = 1, ["34941"] = 1, ["34940"] = 1, ["34939"] = 1, ["34937"] = 1, ["11917"] = 1, ["42026"] = 1,

-- Sturmwind
		["54117"] = 1, ["54119"] = 1, ["29152"] = 1, ["44814"] = 1, ["44815"] = 1, ["44816"] = 1, ["44806"] = 1, ["50135"] = 1, ["2439"] = 1, ["1747"] = 1, ["42021"] = 1, ["1405"] = 1, ["1371"] = 1, ["8856"] = 1, ["1427"] = 1, ["3520"] = 1, ["3513"] = 1, ["2198"] = 1, ["1428"] = 1, ["8666"] = 1, ["1395"] = 1, ["1289"] = 1, ["7766"] = 1, ["1756"] = 1, ["1212"] = 1, ["5484"] = 1, ["12336"] = 1, ["12997"] = 1, ["7917"] = 1, ["1433"] = 1, ["1257"] = 1, ["1432"] = 1, ["14423"] = 1, ["5124"] = 1, ["1291"] = 1, ["2330"] = 1, ["1367"] = 1, ["1413"] = 1, ["1370"] = 1, ["1368"] = 1, ["279"] = 1, ["1295"] = 1, ["1286"] = 1, ["482"] = 1, ["14394"] = 1, ["6174"] = 1, ["1285"] = 1, ["12480"] = 1, ["1402"] = 1, ["3518"] = 1, ["2533"] = 1, ["2532"] = 1, ["3504"] = 1, ["12481"] = 1, ["3627"] = 1, ["1478"] = 1, ["1477"] = 1, ["12580"] = 1, ["46410"] = 1, ["5042"] = 1, ["1719"] = 1, ["46409"] = 1, ["14497"] = 1, ["1414"] = 1, ["1415"] = 1, ["1749"] = 1, ["466"] = 1, ["1366"] = 1, ["1976"] = 1, ["68"] = 1, ["1287"] = 1, ["45014"] = 1, ["1275"] = 1, ["53949"] = 1, ["8719"] = 1,  ["54021"] = 1, ["54118"] = 1, ["54072"] = 1,  ["44395"] = 1, ["53991"] = 1, ["6740"] = 1, ["44238"] = 1, 

-- Sturmgipfel
		["29650"] = 1, ["29626"] = 1, ["29981"] = 1, ["29429"] = 1, ["30012"] = 1, ["30147"] = 1, ["30154"] = 1, ["29525"] = 1, ["30146"] = 1, ["29466"] = 1, ["30396"] = 1, ["28923"] = 1, ["29643"] = 1, ["29644"] = 1, ["29434"] = 1, 

-- Sumpfland
		["1476"] = 1, ["42044"] = 1, 

-- Sderstade
		["44995"] = 1, ["2277"] = 1, ["15199"] = 1, ["2364"] = 1, ["3980"] = 1,

-- Tanaris
		["38534"] = 1, ["38703"] = 1, ["38849"] = 1, ["40542"] = 1, ["40875"] = 1, ["39034"] = 1, ["38535"] = 1, ["38704"] = 1, ["39059"] = 1, ["40547"] = 1, ["40876"] = 1, ["46479"] = 1, ["38706"] = 1, ["11811"] = 1, ["5472"] = 1, ["5473"] = 1, ["5474"] = 1, ["39082"] = 1, ["7902"] = 1, ["7899"] = 1, ["7918"] = 1, ["9453"] = 1, ["7607"] = 1, ["7604"] = 1, ["26529"] = 1, ["27913"] = 1, ["27903"] = 1, ["27907"] = 1, ["30571"] = 1, 

-- Tausend Nadeln
		["48996"] = 1, ["49157"] = 1,

-- Tausendwinter
		["31051"] = 1, ["31091"] = 1, ["31108"] = 1, ["31036"] = 1, ["31109"] = 1, ["31052"] = 1,

-- Teldrassil
		["2083"] = 1, ["6286"] = 1,

-- Teufelswald
		["11141"] = 1,

-- Tiefenheim
		["43168"] = 1, ["43635"] = 1, ["45064"] = 1, ["44143"] = 1, ["47195"] = 1, ["44835"] = 1, ["45028"] = 1, ["43391"] = 1, ["42695"] = 1, ["42188"] = 1, ["42333"] = 1, ["45099"] = 1, ["43026"] = 1, ["42747"] = 1, ["43082"] = 1, ["42801"] = 1, ["42892"] = 1, ["42965"] = 1, ["42964"] = 1, ["44768"] = 1, ["43160"] = 1, ["44372"] = 1, ["43138"] = 1, ["43456"] = 1, ["43229"] = 1, ["43897"] = 1, ["43984"] = 1, ["44152"] = 1, ["44153"] = 1, 

-- Tirisfal
		["3150"] = 1, ["26539"] = 1,

-- Ulduar
		["33113"] = 1, ["33293"] = 1, ["33287"] = 1, ["34145"] = 1, ["33210"] = 1, ["33118"] = 1, ["33696"] = 1, ["33662"] = 1, ["33267"] = 1, ["33624"] = 1, ["28160"] = 1, ["33686"] = 1, ["33626"] = 1, ["33701"] = 1, ["33235"] = 1, ["33579"] = 1, ["34064"] = 1, ["34119"] = 1,
 
-- Uldum
		["39788"] = 1, ["47251"] = 1, ["47670"] = 1, ["47461"] = 1, ["47516"] = 1, ["47967"] = 1, ["47984"] = 1, ["47193"] = 1, ["47364"] = 1, ["47947"] = 1, ["46134"] = 1, ["49183"] = 1, ["49383"] = 1, ["46883"] = 1, ["48237"] = 1, ["48761"] = 1, ["49345"] = 1, ["46333"] = 1, ["46886"] = 1, ["47159"] = 1, ["47160"] = 1, ["47249"] = 1, ["47940"] = 1, ["47957"] = 1, ["47972"] = 1, ["49466"] = 1, ["49467"] = 1, ["47292"] = 1, ["49244"] = 1, ["49253"] = 1, ["45949"] = 1, ["49148"] = 1, ["46425"] = 1, ["44860"] = 1, ["45143"] = 1, ["45180"] = 1, ["45238"] = 1, ["45275"] = 1, ["45296"] = 1, ["46978"] = 1, ["47050"] = 1, ["47158"] = 1, ["48034"] = 1, ["48045"] = 1, ["48082"] = 1, ["48162"] = 1, ["48186"] = 1, ["48528"] = 1, ["48547"] = 1, ["48558"] = 1, ["48604"] = 1, ["48698"] = 1, ["48703"] = 1, ["49151"] = 1, ["49203"] = 1, ["49247"] = 1, ["49353"] = 1, ["46781"] = 1, ["46873"] = 1, ["47005"] = 1, ["48028"] = 1, ["48030"] = 1, ["47285"] = 1, ["47451"] = 1, ["47306"] = 1, ["47567"] = 1, ["45799"] = 1, ["46872"] = 1, ["47896"] = 1, ["47959"] = 1, ["48987"] = 1, ["46042"] = 1, ["45715"] = 1,

-- Vashj'ir
		["37008"] = 1, ["39313"] = 1, ["40782"] = 1, ["40753"] = 1, ["40759"] = 1, ["40770"] = 1, ["41764"] = 1, ["41781"] = 1, ["41805"] = 1, ["41808"] = 1, ["43176"] = 1, ["43180"] = 1, ["36915"] = 1, ["40105"] = 1, ["40697"] = 1, ["40736"] = 1, ["40746"] = 1, ["41341"] = 1, ["41600"] = 1, ["41751"] = 1, ["41777"] = 1, ["41794"] = 1, ["41869"] = 1, ["42261"] = 1, ["43519"] = 1, ["43908"] = 1, ["44518"] = 1, ["40677"] = 1, ["40810"] = 1, ["40811"] = 1, ["40786"] = 1, ["40797"] = 1, ["41809"] = 1, ["41838"] = 1, ["39447"] = 1, ["39669"] = 1, ["39884"] = 1, ["43030"] = 1, ["40398"] = 1, ["40161"] = 1, ["40510"] = 1, ["41049"] = 1, ["42072"] = 1, ["42073"] = 1, ["39877"] = 1, ["40221"] = 1, ["40366"] = 1, ["45462"] = 1, ["39875"] = 1, ["41531"] = 1, ["45460"] = 1, ["41495"] = 1, ["41494"] = 1, ["41455"] = 1, ["41731"] = 1, ["41633"] = 1, ["41801"] = 1, ["39881"] = 1, ["41640"] = 1, ["41802"] = 1, ["45514"] = 1, 

-- Verlorene Inseln
		["35769"] = 1, ["36470"] = 1, ["36471"] = 1, ["38120"] = 1, ["35778"] = 1, ["36519"] = 1, ["38513"] = 1, ["35758"] = 1, ["36518"] = 1, ["38122"] = 1, 

-- Westfall
		["42384"] = 1, ["42308"] = 1, ["42558"] = 1, ["42309"] = 1, ["42559"] = 1, ["42390"] = 1, ["117"] = 1, ["452"] = 1, ["54371"] = 1, ["504"] = 1, ["122"] = 1, ["590"] = 1, ["124"] = 1, ["54372"] = 1, ["6182"] = 1, ["234"] = 1, ["98"] = 1, ["123"] = 1, 

-- Westliche Pestlnder
		["11936"] = 1, ["11582"] = 1, ["45110"] = 1, ["44323"] = 1, ["44452"] = 1, ["44453"] = 1, ["45166"] = 1, ["45212"] = 1, ["44269"] = 1, ["44454"] = 1, ["1838"] = 1, ["44436"] = 1, ["44441"] = 1, ["45162"] = 1, ["44439"] = 1, ["45155"] = 1, ["45152"] = 1, ["45235"] = 1, ["44458"] = 1, 
 
-- Wald von Elwynn
		["50047"] = 1, ["16864"] = 1, ["951"] = 1, ["42937"] = 1, ["3937"] = 1, ["514"] = 1, ["97"] = 1, ["197"] = 1, ["257"] = 1, ["38"] = 1, ["80"] = 1, ["844"] = 1, ["40"] = 1, ["327"] = 1, ["253"] = 1, ["475"] = 1,

-- Wlder von Terrokar
		["18482"] = 1, ["18635"] = 1, ["18794"] = 1, ["18634"] = 1, ["19672"] = 1, ["18311"] = 1, ["18341"] = 1, ["18313"] = 1, ["19666"] = 1, ["19671"] = 1, ["18956"] = 1, ["18731"] = 1, ["18667"] = 1, ["19673"] = 1, ["18713"] = 1, ["21644"] = 1, ["23383"] = 1, ["23038"] = 1, ["22314"] = 1, ["22452"] = 1, ["18588"] = 1, ["21660"] = 1, ["22377"] = 1, ["22464"] = 1, ["21661"] = 1, ["22483"] = 1, ["22459"] = 1, ["21662"] = 1, ["18459"] = 1, ["18713"] = 1, ["22458"] = 1, ["18760"] = 1, ["21400"] = 1, ["1410"] = 1, ["18745"] = 1, ["18424"] = 1, ["21006"] = 1, ["23377"] = 1, ["51908"] = 1, ["18999"] = 1, ["23367"] = 1, ["19676"] = 1, ["18548"] = 1, ["5355"] = 1, ["23133"] = 1, ["18554"] = 1, ["21399"] = 1, ["18373"] = 1, ["16769"] = 1, ["23048"] = 1, ["23016"] = 1, ["21397"] = 1, ["23415"] = 1, ["18718"] = 1, ["23257"] = 1, 

-- Winterquell
		["10980"] = 1, ["10978"] = 1, ["11193"] = 1, ["7524"] = 1, 

-- Zangarmarschen
		["22832"] = 1, ["18340"] = 1, ["18042"] = 1, ["18117"] = 1, ["21894"] = 1, ["17959"] = 1, ["18586"] = 1, ["17941"] = 1,

-- Zul'Drak
		["30024"] = 1, ["30022"] = 1, ["30019"] = 1, ["30102"] = 1, ["30193"] = 1, ["30020"] = 1, ["28255"] = 1, ["28041"] = 1, ["29050"] = 1, ["28952"] = 1, ["28948"] = 1, ["28916"] = 1, ["28996"] = 1, ["29028"] = 1, ["29647"] = 1, ["28752"] = 1, ["28754"] = 1, ["28442"] = 1, ["23574"] = 1, ["28750"] = 1, ["28575"] = 1, ["23578"] = 1, ["23577"] = 1, ["23576"] = 1, ["28495"] = 1, ["28244"] = 1, ["30023"] = 1, ["28503"] = 1, ["28998"] = 1, ["28518"] = 1, ["28873"] = 1, ["28415"] = 1, ["28479"] = 1, ["28175"] = 1, ["28177"] = 1, ["28176"] = 1, ["28068"] = 1, ["29686"] = 1, ["28805"] = 1, ["28480"] = 1, ["28178"] = 1, ["29437"] = 1, ["29450"] = 1, ["29449"] = 1, ["29890"] = 1, ["28532"] = 1, ["28541"] = 1, ["28801"] = 1, ["29451"] = 1, ["29892"] = 1, 

-- Der Jadewald / The Jade Forrest

-- Krasarang Wildnis / Krasarang Wilds
		["58639"] = 1, ["58630"] = 1, ["10980"] = 1, ["58955"] = 1, ["58745"] = 1, ["58224"] = 1, ["58821"] = 1, ["59021"] = 1, ["60491"] = 1, ["63754"] = 1, ["63542"] = 1, ["59483"] = 1, ["59577"] = 1, ["59645"] = 1, ["65928"] = 1, ["63754"] = 1, 
-- Sonnenlufer Dezco		

-- Tal der vier Winde / Valley of the four Winds
		["57183"] = 1, ["57161"] = 1, ["57123"] = 1, ["57126"] = 1, ["57121"] = 1, ["57122"] = 1, ["57120"] = 1, ["57199"] = 1, ["56714"] = 1, ["56827"] = 1, ["56138"] = 1, ["56133"] = 1, ["56184"] = 1, ["64451"] = 1, 
		
-- Kun-Lai Gipfel / Kun-Lai Summit
		["59055"] = 1, ["59073"] = 1, ["59019"] = 1, ["59077"] = 1, ["58961"] = 1, ["59076"] = 1, ["59143"] = 1, ["59441"] = 1, ["59441"] = 1, ["59758"] = 1, ["60038"] = 1, ["59968"] = 1, ["59972"] = 1, ["60127"] = 1, ["63820"] = 1, ["61566"] = 1, ["59166"] = 1, ["60973"] = 1, ["61582"] = 1, ["61649"] = 1, ["61069"] = 1, ["61572"] = 1, ["61621"] = 1, ["59263"] = 1, ["61693"] = 1, ["59335"] = 1, ["59371"] = 1, ["59826"] = 1, ["59402"] = 1, 

-- Tonlong-Steppe / Tonlong Steppes

-- Schreckensde / Dread Wastes

-- Tal der ewigen Blten / Vale of eternal Blossoms
		["63367"] = 1, ["63490"] = 1, ["63495"] = 1, ["64012"] = 1, 

-- Sonstige 1
		["40788"] = 1, ["40825"] = 1, ["18927"] = 1, ["39679"] = 1, ["36296"] = 1, ["36565"] = 1, ["36272"] = 1, ["38066"] = 1, ["47324"] = 1, ["47325"] = 1, ["39731"] = 1, ["39428"] = 1, ["39732"] = 1, ["39587"] = 1, ["39378"] = 1, ["30899"] = 1, ["30898"] = 1, ["30897"] = 1, ["27978"] = 1, ["27977"] = 1, ["27975"] = 1, ["32639"] = 1, ["32638"] = 1, ["26401"] = 1, ["26216"] = 1, ["25949"] = 1, ["25951"] = 1, ["25324"] = 1, ["34386"] = 1, ["34489"] = 1, ["15491"] = 1, ["24710"] = 1, ["23684"] = 1, ["23683"] = 1, ["23685"] = 1, ["23872"] = 1, ["23795"] = 1, ["34520"] = 1, ["33532"] = 1, ["34519"] = 1, ["33533"] = 1, ["34365"] = 1, ["22818"] = 1, ["14305"] = 1, ["8506"] = 1, ["34387"] = 1, ["19173"] = 1, ["19148"] = 1, ["19172"] = 1, ["39623"] = 1, ["39253"] = 1, ["18927"] = 1, ["23758"] = 1, ["23686"] = 1, ["23682"] = 1, ["23775"] = 1, ["40765"] = 1, ["39665"] = 1, ["39670"] = 1, ["39698"] = 1, ["39705"] = 1, ["40586"] = 1, ["40792"] = 1, ["14721"] = 1, ["43875"] = 1, ["39959"] = 1, ["43878"] = 1, ["43047"] = 1, ["34721"] = 1, ["34723"] = 1, ["34715"] = 1, 

-- Sonstige 2
		["16781"] = 1, ["3673"] = 1, ["3670"] = 1, ["3678"] = 1, ["3679"] = 1, 



		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 
		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 
		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 
		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 
		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 
		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 
		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 
		["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, ["00000"] = 1, 

	}



	-- will be populated later on
	local ignore = {}
	local rescan = {}
 
	-- scans the table of npcIDs and populates the above (empty) tables
	local function scanTable(tbl)
		for npcid, _ in pairs(tbl) do
			local npcname = tip:name(npcid)
			if npcname then
				ignore[npcname] = 1 -- the npc is cached, we add it's name to the ignore list
				rescan[npcid] = nil -- remove from the re-scan list (if it's there)
			else
				rescan[npcid] = 1 -- not cached yet so we add the id to the "to-rescan-later" list
			end
		end
	end


	-- process the database
	scanTable(database)

	-- decides if message should be hidden or not
	local function filter(self, event, msg, sender, ...)
		scanTable(rescan) -- we scan leftovers on filter triggers
		return ignore[sender] and true or false
	end

	-- register our filter with the chat frames
	for _, event in pairs(events) do
		ChatFrame_AddMessageEventFilter(event, filter)
	end
